Bug 508904 - S-c-tools cleanup: Bad unit labels.
S-c-tools cleanup: Bad unit labels.
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
Depends On:
Blocks: 493605
  Show dependency treegraph
Reported: 2009-06-30 09:24 EDT by Roman Rakus
Modified: 2014-01-12 19:09 EST (History)
7 users (show)

See Also:
Fixed In Version: system-config-lvm-1_1_8-1_fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-20 08:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch (595 bytes, patch)
2009-08-20 08:03 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-06-30 09:24:09 EDT
Description of problem:
There are bad unit labels in Context info view on the right side.
Also no spaces.

How reproducible: 

Steps to Reproduce:

Actual results:
And so on

Expected results:
32.00 MB
55.69 GB

spaces between numbers and units
right units

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Marek Grac 2009-08-20 08:03:23 EDT
Created attachment 358074 [details]
Proposed patch

This can be fixed only when info about logical volume is shown (2MB -> 2 MB).

In other cases information which are shown on the right are parsed from *display commands. This output is just split to label + value, we don't possess information which values are size of pv/vg so it cannot be replaced with more human-like values (1.00T is correct name of vg). This will be fixed automatically when tools from lvm2 will change their output (as they are not used anywhere else). Changing their output will broke existing scripts, so it option is dead also. 

Partially done (lv), partially won't fix (vg+pv).

Note You need to log in before you can comment on or make changes to this bug.